<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TalkComment extends BaseModel
{
    use HasFactory;
    protected $table = 'talk_comment';

    const TYPE_COMMENT = 0;
    const TYPE_REPLY = 1;

    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }
    public function serviceUser()
    {
        return $this->hasOne(ServiceUser::class, 'user_id', 'user_id');
    }
}
